%global beta_or_rc      0
%global actual_release  1
%global svnrevision     51032
%global with_search     1
%global with_ldap       1
%global with_xmlto      1
%if 0%{?fedora} > 15 || 0%{?rhel} > 6
%global with_gsoap      1
%else
%global with_gsoap      0
%endif
%global no_multiupload  1
%global no_bundled_php  1
%global php_apiver      %((echo 0; php -i 2>/dev/null | sed -n 's/^PHP API => //p') | tail -1)
%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")

# Private libraries are not be exposed globally by RPM
# RPM 4.8
%{?filter_provides_in: %filter_provides_in %{_libdir}/%{name}/.*\.so$}
%{?filter_provides_in: %filter_provides_in %{_libdir}/php/modules/.*\.so$}
%{?filter_setup}
# RPM 4.9
%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_libdir}/%{name}/.*\\.so$
%global __provides_exclude_from %{__provides_exclude_from}|%{_libdir}/php/modules/.*\\.so$

%if "%{php_version}" < "5.6"
%global ini_name    %{name}.ini
%else
%global ini_name    40-%{name}.ini
%endif

Summary:            Open Source Edition of the Zarafa Collaboration Platform
Name:               zarafa
Version:            7.1.13
%if %{beta_or_rc}
Release:            0.%{actual_release}.svn%{svnrevision}%{?dist}
%else
Release:            %{actual_release}%{?dist}
%endif
# Red Hat Legal has been advised by email from Zarafa that no license is
# required in order to use the letter string "zarafa" (combined with other
# words) in the package naming, to refer to the software as "Zarafa" to
# indicate its intended purpose, and to modify packages with bug fixes and
# enhancements.
License:            AGPLv3 with exceptions
Group:              Applications/Productivity
URL:                http://www.zarafa.com/
%if %{beta_or_rc}
Source0:            http://download.zarafa.com/community/beta/7.1/%{version}-%{svnrevision}/sourcecode/zcp-%{version}.tar.gz
%else
Source0:            http://download.zarafa.com/community/final/7.1/%{version}-%{svnrevision}/sourcecode/zcp-%{version}.tar.gz
%endif
Source1:            %{name}.ini
Source2:            %{name}.logrotate
Source3:            %{name}-webaccess.conf

Patch0:             zarafa-7.1.11-rpath.patch
Patch1:             zarafa-7.1.11-php-unbundle.patch
Patch2:             zarafa-7.1.10-kyotocabinet.patch
Patch3:             zarafa-7.1.12-ssl_protocols_ciphers.patch
Patch4:             zarafa-7.1.12-ssl_ecdhe.patch
Patch5:             zarafa-7.1.11-plaintext_auth_localhost.patch
Patch6:             zarafa-7.1.10-imap-badcharset.patch
Patch7:             zarafa-7.1.10-imap-fetch-body.patch
Patch8:             zarafa-7.1.11-vacation-headers.patch
Patch9:             zarafa-7.1.11-vacation-headers2.patch
Patch10:            zarafa-7.1.11-webaccess-fail2ban.patch
Patch11:            zarafa-7.1.12-webaccess-mcrypt.patch
Patch12:            zarafa-7.1.12-gsoap-sslv3.patch
Patch14:            zarafa-7.1.12-upgrade-lock.patch
Patch15:            zarafa-7.1.12-gcc5.patch
Patch16:            zarafa-7.1.12-webaccess-xss.patch
Patch17:            zarafa-7.1.12-webaccess-defaultfont.patch
Patch18:            zarafa-7.1.13-ssl_dhe.patch

BuildRequires:      bison
BuildRequires:      gcc-c++
BuildRequires:      byacc
BuildRequires:      flex
BuildRequires:      gettext
BuildRequires:      libical-devel >= 0.42
BuildRequires:      libvmime-devel >= 0.9.0, libvmime(api) <= 20120406
BuildRequires:      libxml2-devel
BuildRequires:      mysql-devel >= 4.1
BuildRequires:      ncurses-devel
BuildRequires:      pam-devel
BuildRequires:      php-devel >= 4.3
BuildRequires:      %{_includedir}/uuid/uuid.h
BuildRequires:      %{_includedir}/curl/curl.h
BuildRequires:      libicu-devel >= 3.4
%if 0%{?rhel}%{?fedora} > 5
BuildRequires:      boost-devel >= 1.35.0
%else
BuildRequires:      boost141-devel
%endif
BuildRequires:      swig
BuildRequires:      python-devel >= 2.4

%if %{with_gsoap}
BuildRequires:      gsoap-devel
%endif

%if %{with_search}
BuildRequires:      kyotocabinet-devel
%if 0%{?fedora} > 15 || 0%{?rhel} > 6
BuildRequires:      clucene09-core-devel >= 0.9.21b-1
%else
BuildRequires:      clucene-core-devel >= 0.9.21b-1
%endif
%endif

%if %{with_ldap}
BuildRequires:      openldap-devel
%endif

%if %{with_xmlto}
BuildRequires:      xmlto
%endif

# The main package pulls in all of classical zarafa core packages
Requires:           zarafa-dagent%{?_isa} = %{version}-%{release}
Requires:           zarafa-gateway%{?_isa} = %{version}-%{release}
Requires:           zarafa-ical%{?_isa} = %{version}-%{release}
Requires:           zarafa-monitor%{?_isa} = %{version}-%{release}
Requires:           zarafa-server%{?_isa} = %{version}-%{release}
Requires:           zarafa-spooler%{?_isa} = %{version}-%{release}
Requires:           zarafa-utils%{?_isa} = %{version}-%{release}

BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Zarafa Collaboration Platform is a Microsoft Exchange replacement. The
Open Source Collaboration provides an integration with your existing Linux
mail server, native mobile phone support by ActiveSync compatibility and a
webaccess with 'Look & Feel' similar to Outlook using Ajax. Including an
IMAP and a POP3 gateway as well as an iCal/CalDAV gateway, the Zarafa Open
Source Collaboration can combine the usability with the stability and the
flexibility of a Linux server.

The proven Zarafa groupware solution is using MAPI objects, provides a MAPI
client library as well as programming interfaces for C++, PHP and Python.
The other Zarafa related packages need to be installed to gain all features
and benefits of the Zarafa Collaboration Platform (ZCP).

%package archiver
Summary:            Archive messages to a secondary Zarafa server
Group:              Applications/Archiving
Requires:           zarafa-common = %{version}-%{release}

%description archiver
The zarafa-archiver package includes the Zarafa Archiver to decrease the
size of a production Zarafa server by copying or moving the messages to
a secondary Zarafa server. Clients will still be able to open the message
from the secondary Zarafa server directly.

%package client
Summary:            The Zarafa Client library
Group:              System Environment/Libraries
Requires:           zarafa-common = %{version}-%{release}

%description client
The zarafa-client package provides the Zarafa Client library, which gets
used by the Open Source MAPI (Messaging Application Programming Interface)
implementation of Zarafa as provider between MAPI and Zarafa.

%package common
Summary:            Common Zarafa files and directories
Group:              Applications/Productivity
Requires(pre):      shadow-utils
%if 0%{?rhel}%{?fedora} > 5
BuildArch:          noarch
%endif

%description common
The zarafa-common package provides the filesystem structure and includes
common files required by most other Zarafa packages. It also provides the
creation of the zarafa user for the different Zarafa services.

%package contacts
Summary:            MAPI provider adding contact folders to the address book
Group:              System Environment/Libraries
Requires:           zarafa-common = %{version}-%{release}

%description contacts
The zarafa-contacts package contains an additional MAPI provider to find
all contact folders of a user and add the contents transparently into the
MAPI address book. The MAPI provider allows Zarafa WebApp users to select
which contact folders will be listed in the WebApp address book.

%package dagent
Summary:            Mail Delivery Agent for Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}
Requires:           php-mapi%{?_isa} = %{version}-%{release}
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service

%description dagent
The zarafa-dagent package includes the Zarafa Delivery Agent to deliver
e-mail messages from Internet Mail format to Zarafa. The Zarafa Delivery
Agent can be used trigger the local mailer (MDA) or even act as the LMTP
server.

%package devel
Summary:            Development files for several Zarafa libraries
Group:              Development/Libraries
Requires:           libmapi%{?_isa} = %{version}-%{release}, pkgconfig
Provides:           %{name}-static = %{version}-%{release}
Provides:           %{name}-static%{?_isa} = %{version}-%{release}

%description devel
The zarafa-devel package includes header files and libraries necessary for
developing own programs which use functions and interfaces from the Zarafa
Collaboration Platform. The Zarafa Open Source Collaboration is using MAPI
objects, provides a MAPI client library and a C++ programming interface.

%package gateway
Summary:            POP3/IMAP Gateway for the Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}
Requires:           python-MAPI%{?_isa} = %{version}-%{release}
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service

%description gateway
The zarafa-gateway package includes the Zarafa POP3/IMAP Gateway service
to enable regular non-MAPI e-mail clients to connect through POP3 or IMAP
to the Zarafa server to access their e-mails. Using IMAP, it is possible
as well to view the contents of shared folders and subfolders. The Zarafa
POP3/IMAP Gateway service can be configured to listen for POP3, POP3S,
IMAP and/or IMAPS.

%package ical
Summary:            iCal/CalDAV gateway for the Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service
Provides:           zarafa-caldav = %{version}-%{release}
Provides:           zarafa-caldav%{?_isa} = %{version}-%{release}
Obsoletes:          zarafa-caldav < 6.40.5-1

%description ical
The zarafa-ical package includes the Zarafa iCal/CalDAV gateway service
to enable users to access their calendar using iCalendar (RFC 2445/5545)
or CalDAV (RFC 4791) compliant clients. The iCal/CalDAV gateway service
can be configured to listen for HTTP and HTTPS requests.

%package monitor
Summary:            Quota Monitor for the Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service

%description monitor
The zarafa-monitor package includes the Zarafa Monitoring service which
is responsible for checking the users store (mailbox) size, and sending
them (and administrators) a warning e-mail when limits are exceeded.

%if %{with_search}
%package search
Summary:            Indexer search engine for the Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}, file
Requires:           catdoc, libxslt, w3m, unzip, %{_bindir}/pdftotext
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service
Provides:           zarafa-indexer = %{version}-%{release}
Provides:           zarafa-indexer%{?_isa} = %{version}-%{release}
Obsoletes:          zarafa-indexer < 7.1.0-1

%description search
The zarafa-search package includes the Zarafa Indexing service for fast
and full-text searching. Using CLucene search engine, this service makes
an index per user of messages and attachments for the Zarafa server. At
search queries, the server will use this index to quickly find messages,
items and even in contents of attached documents.
%endif

%package server
Summary:            Server component for the Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service

%description server
The zarafa-server package includes the main Zarafa Server and Storage
process. It contacts a database server and provides services to Zarafa
clients. The user base can be either retrieved from an external source
or can be setup with a separate list of users.

%package spooler
Summary:            Mail Spooler for the Zarafa Collaboration Platform
Group:              System Environment/Daemons
Requires:           zarafa-common = %{version}-%{release}
Requires:           python-MAPI%{?_isa} = %{version}-%{release}
Requires(post):     /sbin/chkconfig
Requires(preun):    /sbin/service, /sbin/chkconfig
Requires(postun):   /sbin/service

%description spooler
The zarafa-spooler package includes the Zarafa Spooler service which is
responsible for converting the Zarafa e-mails from outboxes to Internet
Mail and send it using the configured SMTP server to the recipients.

%package utils
Summary:            Zarafa Utilities for administration and management
Group:              Applications/System
Requires:           zarafa-common = %{version}-%{release}

%description utils
The zarafa-utils package includes various administration and management
utilities for the Zarafa Open Source Collaboration environment including
reporting, user and password management.

%package webaccess
Summary:            Zarafa Webaccess featuring a 'Look & Feel' similar to Outlook
Group:              Applications/Productivity
Requires:           httpd, php-mapi = %{version}-%{release}
# Bug: php53 from RHEL 5 does not provide php (#717158)
%if 0%{?rhel} == 5
Requires:           mod_php >= 4.3, php-mcrypt
%else
Requires:           php >= 4.3, php-openssl
%endif
%if %{no_bundled_php}
Requires:           php-json, php-pear-XML-Serializer
%endif
%if 0%{?rhel}%{?fedora} > 5
BuildArch:          noarch
%endif

%description webaccess
Zarafa Webaccess features the familiar Outlook 'Look & Feel' interface
and you can keep using the features in Outlook that have always allowed
you to work efficiently. View your e-mail, calendar and contacts via a
web browser. And opening your colleagues calendar or sending a meeting
request is only a piece of cake. The Zarafa Webaccess is using the ajax
technology to give a more interactive feeling to the users.

%package -n libmapi
Summary:            MAPI implementation and library by Zarafa
Group:              System Environment/Libraries
Requires:           zarafa-client%{?_isa} = %{version}-%{release}
Requires:           libvmime(abi) <= 20120406
Requires(post):     /sbin/ldconfig
Requires(postun):   /sbin/ldconfig

%description -n libmapi
The libmapi package provides the Open Source MAPI (Messaging Application
Programming Interface) implementation by Zarafa. The MAPI is a messaging
architecture and a Component Object Model based API for Microsoft Windows
which allows control over the messaging system on the client computer,
creation and management of messages, management of the client mailbox,
service providers, etc. This MAPI implementation by Zarafa is also known
as MAPI4Linux.

%package -n php-mapi
Summary:            The PHP MAPI extension by Zarafa
Group:              Development/Languages
# Bug: Without mod_ssl, reloading httpd causes core dump
Requires:           mod_ssl
%if 0%{?php_zend_api:1}
Requires:           php(zend-abi) = %{php_zend_api}, php(api) = %{php_core_api}
%else
Requires:           php-api = %{php_apiver}
%endif

%description -n php-mapi
The php-mapi package contains the PHP MAPI extension to provide access to
Microsoft MAPI functions while using PHP. Although not all MAPI functions
and interfaces are supported so far, most functions have a PHP counterpart
in this extension. Using this PHP MAPI extension, developers can create
e.g. webbased e-mail and calendaring systems and interfaces with existing
PHP projects, using the MAPI functions like a normal MAPI program.

%package -n python-MAPI
Summary:            The Python MAPI extension by Zarafa
Group:              Development/Languages

%description -n python-MAPI
The python-MAPI package contains the Python MAPI extension to provide the
access to Microsoft MAPI functions while using Python. Using this Python
MAPI extension, developers can create Python programs which use MAPI calls
to interact with Zarafa.

%prep
%setup -q
%patch0 -p1 -b .rpath
touch -c -r aclocal.m4.rpath aclocal.m4
%if %{no_bundled_php}
%patch1 -p1 -b .php-unbundle
%endif
%patch2 -p1 -b .kyotocabinet
%patch3 -p1 -b .ssl_protocols_ciphers
%patch4 -p1 -b .ssl_ecdhe
%patch5 -p1 -b .disable_plaintext_auth-localhost
%patch6 -p1 -b .imap-badcharset
%patch7 -p1 -b .imap-fetch-body
%patch8 -p1 -b .vacation-headers
%patch9 -p1 -b .vacation-headers2
%patch10 -p1 -b .webaccess-fail2ban
%patch11 -p1 -b .webaccess-mcrypt
%patch12 -p1 -b .gsoap-sslv3
%patch14 -p1 -b .upgrade-lock
%patch15 -p1 -b .gcc5
touch -c -r autoconf/boost.m4.gcc5 autoconf/boost.m4
%patch16 -p1 -b .webaccess-xss
%patch17 -p1 -b .webaccess-defaultfont
rm -f php-webclient-ajax/{.,*,*/*,*/*/*/*}/*.webaccess-*
%patch18 -p1 -b .ssl_dhe

%build
%if 0%{?rhel}%{?fedora} < 6
export CPPFLAGS="$CPPFLAGS -I%{_includedir}/boost141"
export LDFLAGS="$LDFLAGS -L%{_libdir}/boost141"
%endif

%if %{with_search} && 0%{?rhel}%{?fedora} > 6
export LDFLAGS="$RPM_LD_FLAGS -L%{_libdir}/clucene09"
%endif

%configure \
    --with-userscript-prefix=%{_sysconfdir}/%{name}/userscripts \
    --with-quotatemplate-prefix=%{_sysconfdir}/%{name}/quotamail \
    --with-searchscripts-prefix=%{_datadir}/%{name}/searchscripts \
%if %{with_gsoap}
    --with-system-gsoap \
%endif
%if %{with_search}
%if 0%{?rhel}%{?fedora} > 6
    --with-clucene-lib-prefix=%{_libdir}/clucene09 \
    --with-clucene-include-prefix=%{_includedir}/clucene09 \
%else
    --with-clucene-lib-prefix=%{_libdir} \
    --with-clucene-include-prefix=%{_includedir} \
%endif
%else
    --disable-kyotocabinet \
    --with-clucene-lib-prefix= \
%endif
    --enable-release \
    --enable-epoll \
    --enable-swig \
    --enable-python \
    --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make \
%if 0%{?rhel}%{?fedora} < 6
    docdir=%{_datadir}/doc/%{name}/ \
    datarootdir=%{_datadir} \
%endif
    DESTDIR=$RPM_BUILD_ROOT \
    INSTALL='install -p' \
    install \
    install-ajax-webaccess

# Nuke all overlefts from licensed, managed or other proprietary items
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/{%{name}/{license,licensed.cfg,report-ca},cron.daily/%{name}-client-update}
rm -f $RPM_BUILD_ROOT%{_mandir}/man?/{zarafa-{backup,restore,report,msr,msr-verify,ldapms.cfg,{licensed,ws}{,.cfg}},za-{acl{set,sync},restore}}.*

# Move all the initscripts to their appropriate place and
# ensure that all services are off by default at boot time
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/init.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/
for service in dagent gateway ical search monitor server spooler; do
    if [ -f installer/linux/%{name}-$service.init.rhel ]; then
        sed -e 's@345@-@' installer/linux/%{name}-$service.init.rhel > \
            $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}-$service
        chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}-$service
        touch -c -r installer/linux/%{name}-$service.init.rhel $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/%{name}-$service
    fi
done

# Move the configuration files to their correct place and handle
# /usr/lib vs. /usr/lib64 for all architectures correct and set
# run_as_user, run_as_group and local_admin_users values correct
for config in $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/example-config/*.cfg; do
    config=$(basename $config)
    if [ -f $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/example-config/$config ]; then
        sed -e 's@\(run_as_\(user\|group\)[[:space:]]*=\).*@\1 %{name}@' -e 's@/usr/lib/zarafa@%{_libdir}/%{name}@' \
            -e 's@\(local_admin_users[[:space:]]*=[[:space:]]*root.*\)@\1 %{name}@' \
                $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/example-config/$config > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$config
        chmod 640 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$config
        touch -c -r $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/example-config/$config $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/$config
    fi
done

# Move the logrotate configuration file to its correct place
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
%if 0%{?fedora} >= 16 || 0%{?rhel} >= 7
sed -e 's/}/\tsu root root\n}/' -i $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
touch -c -r %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}
%endif

# Move the userscripts to their correct place and symlink them
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/userscripts/
for userscript in companies_common.sh groups_common.sh users_common.sh \
            createcompany creategroup createuser deletecompany deletegroup deleteuser; do
    mv -f $RPM_BUILD_ROOT{%{_sysconfdir},%{_datadir}}/%{name}/userscripts/$userscript
    ln -sf ../../..%{_datadir}/%{name}/userscripts/$userscript $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/userscripts/$userscript
done

# Create the data directory and install some files into
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 644 installer/linux/db-{calc-storesize,*attachments*} $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 644 installer/linux/{ssl-certificates.sh,audit-parse.pl,zarafa7-upgrade} $RPM_BUILD_ROOT%{_datadir}/%{name}/
%if %{with_ldap}
install -p -m 644 installer/linux/{db-upgrade-objectsid-to-objectguid,ldap-switch-sendas}.pl $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p -m 644 installer/{ldap/%{name}.schema,%{name}.ldif} $RPM_BUILD_ROOT%{_datadir}/%{name}/
%else
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/ldap.{active-directory,openldap,propmap}.cfg
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/%{name}-ldap.cfg.5*
%endif

# Install the script to optimize IMAP headers for new gateway
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-gateway/
install -p -m 644 tools/python-scripts/optimize-imap.py $RPM_BUILD_ROOT%{_datadir}/%{name}-gateway/

# Create the default log and lib directories for packaging
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/{lib/%{name}/{dagent,spooler}/plugins,log/%{name}}/

# Remove all libtool .la files to avoid packaging of them
rm -f $RPM_BUILD_ROOT{%{_libdir}/{,php/modules,%{name}},%{python_sitearch}}/*.la

# Remove files that are anyway in %doc or %{_datadir}/%{name}/
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/%{name}{,-gateway}/

# Move Indexer/CLucene related files to its correct places
%if %{with_search}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/searchscripts/
mv -f $RPM_BUILD_ROOT{%{_datadir},%{_sysconfdir}}/%{name}/searchscripts/attachments_parser.db
for helper in attachments_parser xmltotext.xslt zmktemp; do
    ln -s ../../..%{_datadir}/%{name}/searchscripts/$helper $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/searchscripts/$helper
done
%else
rm -f $RPM_BUILD_ROOT{%{_sysconfdir}/{rc.d/init.d,sysconfig},%{_mandir}/man?}/%{name}-search*
rm -rf $RPM_BUILD_ROOT{%{_sysconfdir}/%{name}/search.cfg,%{_datadir}/%{name}/searchscripts/}
%endif

# Move the webaccess configuration file to its correct place
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/webaccess{-ajax,}
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/config.php
ln -sf ../../..%{_sysconfdir}/%{name}/webaccess/config.php $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/config.php

# Install the apache configuration file for webaccess
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
install -p -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}-webaccess.conf

# Move the webaccess plugins directory to its correct place
rm -rf $RPM_BUILD_ROOT{%{_datadir},%{_localstatedir}/lib}/%{name}-webaccess/plugins
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/plugins/

# Remove unwanted language connectors and webaccess files
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/client/widgets/fckeditor/editor/dialog/fck_spellerpages/spellerpages/server-scripts/spellchecker.{cfm,pl}
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/{.htaccess,%{name}-webaccess.conf}

# Remove flash-based multi-attachment upload (missing source)
%if %{no_multiupload}
sed '148,155d' $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/webaccess/config.php > \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/webaccess/config.php.new
touch -c -r $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/webaccess/config.php{,.new}
mv -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/webaccess/config.php{.new,}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/client/widgets/swfupload/
%endif

# Remove bundled PHP PEAR files/libraries
%if %{no_bundled_php}
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/server/PEAR
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}-webaccess/{.,server/core}/*.php-unbundle
%endif

# Remove files only required by proprietary web services
rm -rf $RPM_BUILD_ROOT{%{_sysconfdir}/%{name}/ws.cfg,%{_datadir}/zarafa/timezones}

# Rename the PHP config file when needed (PHP 5.6+)
if [ "%{name}.ini" != "%{ini_name}" ]; then
  mv -f $RPM_BUILD_ROOT%{_sysconfdir}/php.d/{%{name}.ini,%{ini_name}}
fi

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre common
getent group %{name} > /dev/null || %{_sbindir}/groupadd -r %{name}
getent passwd %{name} > /dev/null || %{_sbindir}/useradd -r -g %{name} -d %{_localstatedir}/lib/%{name} -s /sbin/nologin -c "Zarafa Service Account" %{name}
exit 0

%post archiver
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/archiver.* > /dev/null 2>&1 || :

%post dagent
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-dagent
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/dagent.* > /dev/null 2>&1 || :

%post gateway
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-gateway
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/gateway.* > /dev/null 2>&1 || :

%post ical
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-ical
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/ical.* > /dev/null 2>&1 || :

%post monitor
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-monitor
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/monitor.* > /dev/null 2>&1 || :

%if %{with_search}
%post search
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-search
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/search.* > /dev/null 2>&1 || :
%endif

%post server
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-server
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/server.* > /dev/null 2>&1 || :
chown %{name}:%{name} %{_localstatedir}/log/%{name}/audit.* > /dev/null 2>&1 || :

%post spooler
[ $1 -eq 1 ] && /sbin/chkconfig --add %{name}-spooler
# Ensure correct log file ownership after upgrade from official packages
chown %{name}:%{name} %{_localstatedir}/log/%{name}/spooler.* > /dev/null 2>&1 || :

%post client -p /sbin/ldconfig

%post -n libmapi -p /sbin/ldconfig

%preun dagent
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-dagent stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-dagent
fi

%preun gateway
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-gateway stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-gateway
fi

%preun ical
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-ical stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-ical
fi

%preun monitor
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-monitor stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-monitor
fi

%if %{with_search}
%preun search
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-search stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-search
fi
%endif

%preun server
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-server stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-server
fi

%preun spooler
if [ $1 -eq 0 ]; then
    /sbin/service %{name}-spooler stop > /dev/null 2>&1 || :
    /sbin/chkconfig --del %{name}-spooler
fi

%postun dagent
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-dagent condrestart > /dev/null 2>&1 || :
fi

%postun gateway
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-gateway condrestart > /dev/null 2>&1 || :
fi

%postun ical
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-ical condrestart > /dev/null 2>&1 || :
fi

%postun monitor
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-monitor condrestart > /dev/null 2>&1 || :
fi

%if %{with_search}
%postun search
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-search condrestart > /dev/null 2>&1 || :
fi
%endif

%postun server
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-server condrestart > /dev/null 2>&1 || :
fi

%postun spooler
if [ $1 -ne 0 ]; then
    /sbin/service %{name}-spooler condrestart > /dev/null 2>&1 || :
fi

%postun client -p /sbin/ldconfig

%post webaccess
if [ -f %{_sysconfdir}/%{name}/webaccess/config.php ]; then
    sed -e "s/\(define('PASSWORD_KEY','\)a75356b0d1b81b7\(');\)/\1$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 16 | head -n 1)\2/" \
        -e "s/\(define('PASSWORD_IV','\)b3f5a483\(');\)/\1$(cat /dev/urandom | tr -dc 'a-zA-Z0-9' | fold -w 8 | head -n 1)\2/" \
        -i %{_sysconfdir}/%{name}/webaccess/config.php
fi

%postun -n libmapi -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%files archiver
%defattr(-,root,root,-)
%{_bindir}/%{name}-archiver
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/archiver.cfg
%{_mandir}/man1/%{name}-archiver.1*
%{_mandir}/man5/%{name}-archiver.cfg.5*

%files client -f %{name}.lang
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mapi/%{name}.inf
%{_libdir}/libzarafaclient.so
%{_libdir}/libzarafasync.so.*

%files common
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license installer/licenseagreement/AGPL-3
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_mandir}/man1/%{name}.1*
%dir %{_datadir}/%{name}/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}/
%dir %attr(0770,root,%{name}) %{_localstatedir}/log/%{name}/

%files contacts
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/mapi/zcontacts.inf
%{_libdir}/libzarafacontacts.so

%files dagent
%defattr(-,root,root,-)
%doc installer/linux/createuser.dotforward
%{_bindir}/%{name}-autorespond
%{_bindir}/%{name}-dagent
%{_bindir}/%{name}-mr-accept
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/dagent.cfg
%config(noreplace) %{_sysconfdir}/%{name}/autorespond
%{_sysconfdir}/rc.d/init.d/%{name}-dagent
%{_mandir}/man1/%{name}-dagent.1*
%{_mandir}/man1/%{name}-autorespond.1*
%{_mandir}/man5/%{name}-dagent.cfg.5*
%{_datadir}/%{name}-dagent/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}/dagent/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}/dagent/plugins/

%files devel
%defattr(-,root,root,-)
%{_libdir}/libarchiver.so
%{_libdir}/libarchiver-core.so
%{_libdir}/libicalmapi.so
%{_libdir}/libinetmapi.so
%{_libdir}/libmapi.so
%{_libdir}/libcommon_mapi.a
%{_libdir}/libcommon_service.a
%{_libdir}/libcommon_ssl.a
%{_libdir}/libcommon_util.a
%{_libdir}/libfreebusy.a
%{_libdir}/libzarafasync.so
%{_includedir}/icalmapi/
%{_includedir}/inetmapi/
%{_includedir}/mapi4linux/
%{_includedir}/libfreebusy/
%{_includedir}/libzarafasync/
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%files gateway
%defattr(-,root,root,-)
%{_bindir}/%{name}-gateway
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/gateway.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-gateway
%{_datadir}/%{name}-gateway/
%{_mandir}/man1/%{name}-gateway.1*
%{_mandir}/man5/%{name}-gateway.cfg.5*

%files ical
%defattr(-,root,root,-)
%{_bindir}/%{name}-ical
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ical.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-ical
%{_mandir}/man1/%{name}-ical.1*
%{_mandir}/man5/%{name}-ical.cfg.5*

%files monitor
%defattr(-,root,root,-)
%{_bindir}/%{name}-monitor
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/monitor.cfg
%dir %{_sysconfdir}/%{name}/quotamail/
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/companywarning.mail
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/userhard.mail
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/usersoft.mail
%config(noreplace) %{_sysconfdir}/%{name}/quotamail/userwarning.mail
%{_sysconfdir}/rc.d/init.d/%{name}-monitor
%{_mandir}/man1/%{name}-monitor.1*
%{_mandir}/man5/%{name}-monitor.cfg.5*

%if %{with_search}
%files search
%defattr(-,root,root,-)
%{_bindir}/%{name}-search
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/search.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-search
%dir %{_sysconfdir}/%{name}/searchscripts/
%config(noreplace) %{_sysconfdir}/%{name}/searchscripts/attachments_parser.db
%{_sysconfdir}/%{name}/searchscripts/attachments_parser
%{_sysconfdir}/%{name}/searchscripts/xmltotext.xslt
%{_sysconfdir}/%{name}/searchscripts/zmktemp
%dir %{_datadir}/%{name}/searchscripts/
%{_datadir}/%{name}/searchscripts/attachments_parser
%{_datadir}/%{name}/searchscripts/xmltotext.xslt
%{_datadir}/%{name}/searchscripts/zmktemp
%{_mandir}/man1/%{name}-search.1*
%{_mandir}/man5/%{name}-search.cfg.5*
%endif

%files server
%defattr(-,root,root,-)
%{_bindir}/%{name}-server
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/server.cfg
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/unix.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-server
%dir %{_sysconfdir}/%{name}/userscripts/
%{_sysconfdir}/%{name}/userscripts/createuser
%{_sysconfdir}/%{name}/userscripts/creategroup
%{_sysconfdir}/%{name}/userscripts/createcompany
%{_sysconfdir}/%{name}/userscripts/deleteuser
%{_sysconfdir}/%{name}/userscripts/deletegroup
%{_sysconfdir}/%{name}/userscripts/deletecompany
%{_sysconfdir}/%{name}/userscripts/*common.sh
%dir %{_sysconfdir}/%{name}/userscripts/createuser.d/
%dir %{_sysconfdir}/%{name}/userscripts/creategroup.d/
%dir %{_sysconfdir}/%{name}/userscripts/createcompany.d/
%dir %{_sysconfdir}/%{name}/userscripts/deleteuser.d/
%dir %{_sysconfdir}/%{name}/userscripts/deletegroup.d/
%dir %{_sysconfdir}/%{name}/userscripts/deletecompany.d/
%config(noreplace) %{_sysconfdir}/%{name}/userscripts/createcompany.d/00createpublic
%config(noreplace) %{_sysconfdir}/%{name}/userscripts/createuser.d/00createstore
%{_datadir}/%{name}/userscripts/
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/dbplugin.so
%{_libdir}/%{name}/unixplugin.so
%{_mandir}/man1/%{name}-server.1*
%{_mandir}/man5/%{name}-server.cfg.5*
%{_mandir}/man5/%{name}-unix.cfg.5*
%if %{with_ldap}
%{_datadir}/%{name}/%{name}.schema
%{_datadir}/%{name}/%{name}.ldif
%{_datadir}/%{name}/db-upgrade-objectsid-to-objectguid.pl
%{_datadir}/%{name}/ldap-switch-sendas.pl
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ldap.active-directory.cfg
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ldap.openldap.cfg
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/ldap.propmap.cfg
%{_libdir}/%{name}/ldapplugin.so
%{_mandir}/man5/%{name}-ldap.cfg.5*
%endif

%files spooler
%defattr(-,root,root,-)
%{_bindir}/%{name}-spooler
%config(noreplace) %attr(0640,root,%{name}) %{_sysconfdir}/%{name}/spooler.cfg
%{_sysconfdir}/rc.d/init.d/%{name}-spooler
%{_mandir}/man1/%{name}-spooler.1*
%{_mandir}/man5/%{name}-spooler.cfg.5*
%{_datadir}/%{name}-spooler/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}/spooler/
%dir %attr(0755,%{name},%{name}) %{_localstatedir}/lib/%{name}/spooler/plugins/

%files utils
%defattr(-,root,root,-)
%{_bindir}/%{name}-admin
%{_bindir}/%{name}-fsck
%{_bindir}/%{name}-mailbox-permissions
%{_bindir}/%{name}-passwd
%{_bindir}/%{name}-set-oof
%{_bindir}/%{name}-stats
%{_datadir}/%{name}/audit-parse.pl
%{_datadir}/%{name}/db-calc-storesize
%{_datadir}/%{name}/db-convert-attachments-to-files
%{_datadir}/%{name}/db-remove-orphaned-attachments
%{_datadir}/%{name}/ssl-certificates.sh
%{_datadir}/%{name}/zarafa7-upgrade
%{_mandir}/man1/%{name}-admin.1*
%{_mandir}/man1/%{name}-fsck.1*
%{_mandir}/man1/%{name}-mailbox-permissions.1*
%{_mandir}/man1/%{name}-passwd.1*
%{_mandir}/man1/%{name}-set-oof.1*
%{_mandir}/man1/%{name}-stats.1*

%files webaccess
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}-webaccess.conf
%dir %{_sysconfdir}/%{name}/
%dir %attr(0750,root,apache) %{_sysconfdir}/%{name}/webaccess/
%config(noreplace) %attr(0640,root,apache) %{_sysconfdir}/%{name}/webaccess/config.php
%{_datadir}/%{name}-webaccess/
%dir %{_localstatedir}/lib/%{name}-webaccess/
%dir %attr(0770,root,apache) %{_localstatedir}/lib/%{name}-webaccess/tmp/

%files -n libmapi
%defattr(-,root,root,-)
%dir %{_sysconfdir}/mapi/
%{_libdir}/libarchiver.so.*
%{_libdir}/libarchiver-core.so.*
%{_libdir}/libicalmapi.so.*
%{_libdir}/libinetmapi.so.*
%{_libdir}/libmapi.so.*

%files -n php-mapi
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/php.d/%{ini_name}
%config(noreplace) %{_sysconfdir}/%{name}/php-mapi.cfg
%{_datadir}/php/mapi/
%{_libdir}/php/modules/mapi.so

%files -n python-MAPI
%defattr(-,root,root,-)
%{python_sitearch}/*

%changelog
* Wed Aug 05 2015 Robert Scheck <robert@fedoraproject.org> 7.1.13-1
- Upgrade to 7.1.13
- Added patch to fix a possible XSS situation in WebAccess
- Added patch to avoid non-working default font in WebAccess
- Added patch to implement DHE/EDH support (aside of ECDHE)

* Wed Jul 01 2015 Robert Scheck <robert@fedoraproject.org> 7.1.12-3
- Added patch to build using GCC 5.x

* Mon May 18 2015 Robert Scheck <robert@fedoraproject.org> 7.1.12-2
- Upgrade to 7.1.12 (re-released)
- Backported patch from Zarafa 7.2 to fix CVE-2015-3436 (#1222151)

* Tue Apr 07 2015 Robert Scheck <robert@fedoraproject.org> 7.1.12-1
- Upgrade to 7.1.12
- Added multiple minor enhancement and bugfix patches
- Added patch to fix CVE-2014-0103 for PHP < 5.3 (#1073618)
- Handle "su" option in logrotate >= 3.8.0 to avoid errors

* Sat Oct 25 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> 7.1.11-2
- Rebuild for reference-counting-enabled clucene09

* Wed Oct 15 2014 Robert Scheck <robert@fedoraproject.org> 7.1.11-1
- Upgrade to 7.1.11 (#1139442)
- Removed bundled PHP PEAR files/libraries
- Added patch to allow mitigation of SSLv3/POODLE vulnerability
- Added patch to implement ECDHE support (depending on OpenSSL)
- Added patch to allow plaintext authentication from 127.0.0.1

* Tue Aug 26 2014 David Tardon <dtardon@redhat.com> - 7.1.10-5
- rebuild for ICU 53.1

* Mon Aug 25 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-4
- Fixed multiple incorrect default permissions (#1133439)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jul 14 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-3
- Rebuild for gSOAP 2.8.17

* Fri Jul 11 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-2
- Added a workaround to really support MariaDB (#995870)
- Re-added a patch to allow building without zarafa-search

* Sun Jun 29 2014 Robert Scheck <robert@fedoraproject.org> 7.1.10-1
- Upgrade to 7.1.10

* Fri Jun 20 2014 Remi Collet <rcollet@redhat.com> - 7.1.9-2.1
- rebuild for https://fedoraproject.org/wiki/Changes/Php56
- add numerical prefix to extension configuration file

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.9-2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 22 2014 Petr Machata <pmachata@redhat.com> - 7.1.9-2
- Rebuild for boost 1.55.0

* Thu May 01 2014 Robert Scheck <robert@fedoraproject.org> 7.1.9-1
- Upgrade to 7.1.9

* Fri Feb 21 2014 Robert Scheck <robert@fedoraproject.org> 7.1.8-3
- Upgrade to 7.1.8 (re-released)

* Fri Feb 14 2014 Parag Nemade <paragn AT fedoraproject DOT org> - 7.1.8-2
- Rebuild for icu 52

* Thu Jan 30 2014 Robert Scheck <robert@fedoraproject.org> 7.1.8-1
- Upgrade to 7.1.8 (#1056767, #1059903)

* Sun Dec 08 2013 Robert Scheck <robert@fedoraproject.org> 7.1.7-1
- Upgrade to 7.1.7 (#1008068)
- Added dependency from gateway and spooler to python-MAPI
- Added requirements to virtual libvmime ABI/API provides

* Mon Aug 05 2013 Robert Scheck <robert@fedoraproject.org> 7.1.5-1
- Upgrade to 7.1.5 (#747241, #863498, #926039, #946900)
- Added configuration compatibility for Apache 2.2 and 2.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Machata <pmachata@redhat.com> - 7.1.4-2
- Rebuild for boost 1.54.0

* Sat May 25 2013 Rex Dieter <rdieter@fedoraproject.org> 7.1.4-2
- rebuild (libical)

* Sun Mar 24 2013 Robert Scheck <robert@fedoraproject.org> 7.1.4-1
- Upgrade to 7.1.4

* Fri Mar 22 2013 Remi Collet <rcollet@redhat.com> 7.0.13-2
- rebuild for http://fedoraproject.org/wiki/Features/Php55

* Sun Mar 03 2013 Robert Scheck <robert@fedoraproject.org> 7.0.13-1
- Upgrade to 7.0.13

* Sun Feb 10 2013 Robert Scheck <robert@fedoraproject.org> 7.0.12-1
- Upgrade to 7.0.12

* Sun Feb 10 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 7.0.9-3
- Rebuild for Boost-1.53.0

* Fri Feb 01 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 7.0.9-2
- Rebuild for icu 50

* Mon Aug 13 2012 Robert Scheck <robert@fedoraproject.org> 7.0.9-1
- Upgrade to 7.0.9 (#847534)

* Sun Aug 12 2012 Rex Dieter <rdieter@fedoraproject.org> 7.0.8-2
- rebuild (boost)

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.8-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Robert Scheck <robert@fedoraproject.org> 7.0.8-1
- Upgrade to 7.0.8

* Wed May 09 2012 Robert Scheck <robert@fedoraproject.org> 7.0.7-1
- Upgrade to 7.0.7

* Sun Apr 22 2012 Robert Scheck <robert@fedoraproject.org> 7.0.6-1
- Upgrade to 7.0.6

* Sat Mar 10 2012 Robert Scheck <robert@fedoraproject.org> 7.0.5-1
- Upgrade to 7.0.5

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.0.4-2
- Rebuilt for c++ ABI breakage

* Thu Jan 19 2012 Remi Collet <remi@fedoraproject.org> - 7.0.4-2
- build against php 5.4.0
- fix so filters

* Fri Jan 13 2012 Robert Scheck <robert@fedoraproject.org> 7.0.4-1
- Upgrade to 7.0.4
- Added patch for rebuilding with PHP 5.4 (thanks to Remi Collet)
- Work around crashs by reducing open file descriptors (#760888)

* Sat Dec 17 2011 Robert Scheck <robert@fedoraproject.org> 7.0.3-2
- Enabled non-optional build of epoll socket handling (#760888)

* Sun Nov 20 2011 Robert Scheck <robert@fedoraproject.org> 7.0.3-1
- Upgrade to 7.0.3

* Sat Oct 01 2011 Robert Scheck <robert@fedoraproject.org> 7.0.2-1
- Upgrade to 7.0.2 (#717968)

* Sun Aug 14 2011 Robert Scheck <robert@fedoraproject.org> 7.0.1-1
- Upgrade to 7.0.1 (#725250, #725909, #727346)

* Mon Jun 27 2011 Robert Scheck <robert@fedoraproject.org> 7.0.0-1
- Upgrade to 7.0.0

* Tue Jun 14 2011 Robert Scheck <robert@fedoraproject.org> 6.40.9-1
- Upgrade to 6.40.9

* Sat May 28 2011 Robert Scheck <robert@fedoraproject.org> 6.40.8-1
- Upgrade to 6.40.8

* Wed Apr 06 2011 Robert Scheck <robert@fedoraproject.org> 6.40.7-1
- Upgrade to 6.40.7

* Thu Mar 24 2011 Robert Scheck <robert@fedoraproject.org> 6.40.6-2
- Rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Mon Mar 21 2011 Robert Scheck <robert@fedoraproject.org> 6.40.6-1
- Upgrade to 6.40.6

* Sun Feb 27 2011 Robert Scheck <robert@fedoraproject.org> 6.40.5-1
- Upgrade to 6.40.5

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.40.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Robert Scheck <robert@fedoraproject.org> 6.40.4-1
- Upgrade to 6.40.4

* Fri Oct 29 2010 Robert Scheck <robert@fedoraproject.org> 6.40.3-1
- Upgrade to 6.40.3

* Tue Aug 31 2010 Robert Scheck <robert@fedoraproject.org> 6.40.2-1
- Upgrade to 6.40.2

* Mon Aug 09 2010 Robert Scheck <robert@fedoraproject.org> 6.40.1-1
- Upgrade to 6.40.1

* Tue Jun 15 2010 Robert Scheck <robert@fedoraproject.org> 6.40.0-3
- Rebuild for perl 5.12.1

* Fri Jun 11 2010 Robert Scheck <robert@fedoraproject.org> 6.40.0-2
- Added patch to ensure -pthread for -lclucene configure test

* Thu Jun 10 2010 Robert Scheck <robert@fedoraproject.org> 6.40.0-1
- Upgrade to 6.40.0 (#564135, #565252, #600993)

* Sat May 01 2010 Robert Scheck <robert@fedoraproject.org> 6.30.14-1
- Upgrade to 6.30.14

* Sun Apr 25 2010 Robert Scheck <robert@fedoraproject.org> 6.30.13-1
- Upgrade to 6.30.13
- Moved zarafa.schema file from %%doc to %%{_datadir}/%%{name}

* Sat Mar 20 2010 Robert Scheck <robert@fedoraproject.org> 6.30.12-1
- Upgrade to 6.30.12

* Fri Mar 19 2010 Robert Scheck <robert@fedoraproject.org> 6.30.11-1
- Upgrade to 6.30.11

* Tue Feb 23 2010 Robert Scheck <robert@fedoraproject.org> 6.30.10-2
- Backported a patch from trunk to avoid the crash of zarafa-server
  when creating new user with db or unix plugin (#564282, #567262)
- Backported another patch from trunk to avoid the crash of httpd
  caused by PHP mapi.so during the logon in the webaccess (#564129)

* Sat Feb 06 2010 Robert Scheck <robert@fedoraproject.org> 6.30.10-1
- Upgrade to 6.30.10 (#498194)
- Initial spec file for Fedora and Red Hat Enterprise Linux (thanks
  to Jeroen van Meeuwen, John van der Kamp and Steve Hardy)
